@import '../../styles/theme';

$geramiCheckBoxSize: $space * 1.4;

.gerami-checkbox {
  display: flex;
  position: relative;
  user-select: none;
  cursor: pointer;

  &:active > .gerami-checkbox-input ~ .gerami-checkbox-span {
    background-color: $accent !important;
    transform: $poke;
    transition-timing-function: ease-in-out;
    transition-duration: 90ms;
  }

  &:hover > .gerami-checkbox-input ~ .gerami-checkbox-span {
    box-shadow: $shade-M;
    background-color: darken($bg, 10%);
  }

  &:hover > .gerami-checkbox-input:checked ~ .gerami-checkbox-span {
    background-color: $accent;
    box-shadow: $shade-M;
  }

  > .gerami-checkbox-input {
    display: none;

    &:checked ~ .gerami-checkbox-span {
      background-color: $primary;
    }
  }

  > .gerami-checkbox-span {
    position: absolute;
    height: $geramiCheckBoxSize;
    width: $geramiCheckBoxSize;
    background-color: darken($bg, 7%);
    border-radius: $radius;
    box-shadow: $shade-S;
    transition: all 300ms;

    &:after {
      content: '';
      position: absolute;
      top: $geramiCheckBoxSize / 3 - $border;
      left: $geramiCheckBoxSize / 3.7 - $border;
      width: $geramiCheckBoxSize / 2;
      height: $geramiCheckBoxSize / 5;
      border: 0 solid darken($bg, 7%);
      border-bottom-left-radius: $border;
      border-bottom-width: $border * 2;
      border-left-width: $border * 2;
      transform: rotate(-45deg);
    }
  }
}

.gerami-checkbox-child {
  margin: 0 0 0 ($geramiCheckBoxSize + $space / 2);
}
